function [cntArr525pop] = makeCntArr525pop(movGen, corArrDB) 
    % Alle movs fra movGen vil en av gangen lagres til fil tmp.txt
    % Underveis vil HELE cntArr525 lages for alle individ/movs i movGen
    
    noBeatsPerBar = 4;
    
    noInd = size(movGen, 3);
    
    for indNr = 1 : noInd
        mov = movGen(:, :, indNr);
        saveMovToFile(mov, ['movLib/tmp.txt']);
        corValArrB = makeCorValArrB(corArrDB, noBeatsPerBar);
        cntArr525pop(:, :, indNr) = makeCntArr525(corValArrB);
    end
    
end