// Kalibration

odrv0.axis0.config.motor.motor_type = MotorType.HIGH_CURRENT
odrv0.axis0.config.motor.pole_pairs = 7
odrv0.axis0.config.motor.torque_constant = 8.27 / 270
odrv0.axis0.requested_state = AxisState.MOTOR_CALIBRATION
# [wait for end of motor beep]
odrv0.save_configuration()

odrv0.axis0.config.motor.current_soft_max = 10 # [A]
odrv0.axis0.config.motor.current_hard_max = 18 # [A]

The default current limit is quite weak for safety reasons, but good for making sure the drive is stable. 
Once you have tuned the ODrive, you can increase current_soft_max to 60A and current_hard_max to 80A to 
increase performance.

Velocity limit
odrv0.axis0.controller.config.vel_limit = 2 # [turn/s]


AMT 102
The following commands assume you have the encoder connected to the Motor I/O connector.
Connecting the A,B phases is mandatory, the Z (index pulse) is optional.

odrv0.inc_encoder0.config.cpr = 8192
odrv0.inc_encoder0.config.enabled = True
odrv0.axis0.config.load_encoder = EncoderId.INC_ENCODER0
odrv0.axis0.config.commutation_encoder = EncoderId.INC_ENCODER0
odrv0.save_configuration()
# [wait for ODrive to reboot]
odrv0.axis0.requested_state = AxisState.ENCODER_OFFSET_CALIBRATION
# [wait for motor to stop]

After each subsequent reboot you need to re-run odrv0.axis0.requested_state = AxisState.ENCODER_OFFSET_CALIBRATION before you can activate position/velocity control.

